from math import *

def H(x):
    y=-6.4*sin(pi*x/6)-11.6*cos(pi*x/6)+13.9
    return y

def B(x):
    y=-7.4*sin(pi*x/6)-9.5*cos(pi*x/6)+5.4
    return y

x=0
e=6.4
while x<=12:
    d=H(x)-B(x)
    if d>e:
        e=d
        m=x
    x=x+0.1
print("e=",e)
print("m=",m)

